package org.xyzh.common.utils.validation.method;

/**
 * @description 校验方法接口，定义不同类型的校验方式
 * @filename ValidateMethod.java
 * @author yslg
 * @copyright yslg
 * @since 2025-11-02
 */
public interface ValidateMethod {
    
    /**
     * @description 校验方法
     * @param value 待校验的值
     * @return Boolean 是否校验通过
     */
    Boolean validate(Object value);
    
    /**
     * @description 获取校验失败的错误提示信息
     * @return String 错误提示信息
     */
    String getErrorMessage();
    
    /**
     * @description 获取校验方法的名称
     * @return String 校验方法名称
     */
    String getName();
}

